"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@tangential/core");
var isNumeric_1 = require("rxjs/util/isNumeric");
var number_ival_1 = require("../number/number-ival");
var number_type_1 = require("../number/number-type");
var configurable_input_type_1 = require("../configurable-input-type");
var Model = {
    max: null,
    step: 1000,
    decimalPlaces: 0,
    defaultValue: 0
};
var DurationType = (function (_super) {
    __extends(DurationType, _super);
    function DurationType(config, key) {
        return _super.call(this, config || {}, key) || this;
    }
    DurationType.prototype.getInputTypeKey = function () {
        return DurationType.TYPE_NAME;
    };
    DurationType.prototype.createValue = function (cfg, key) {
        cfg = cfg || {};
        return new number_ival_1.NumberIval({
            value: isNumeric_1.isNumeric(cfg.value) ? cfg.value : this.defaultValue
        }, key || this.$key);
    };
    return DurationType;
}(number_type_1.NumberType));
DurationType.$model = core_1.ObjectUtil.assignDeep({}, configurable_input_type_1.ConfigurableInputType.$model, Model);
DurationType.TYPE_NAME = 'Duration';
exports.DurationType = DurationType;
configurable_input_type_1.ConfigurableInputType.register(DurationType);

//# sourceMappingURL=duration-type.js.map
