import { MdDialogRef } from '@angular/material';
import { BehaviorSubject } from 'rxjs/BehaviorSubject';
import { InputRegistry } from '../input-types-registry';
import { InputTemplateIF } from '../template-components/input-template-component/input-template.component';
export declare class ChooseInputWidgetDialog {
    private _registry;
    dialogRef: MdDialogRef<ChooseInputWidgetDialog>;
    flexL: string;
    flexLA: string;
    _height: string;
    _width: string;
    mw: string;
    templates: InputTemplateIF[];
    filteredTemplates: InputTemplateIF[];
    filterSubject: BehaviorSubject<string>;
    constructor(_registry: InputRegistry, dialogRef: MdDialogRef<ChooseInputWidgetDialog>);
    private _filterWidgets(filterText);
    onFilterTextChange(filter: string): void;
    onWidgetClicked(inputTemplate: InputTemplateIF): void;
}
